libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::argument_error Class Reference
Exception classes

Invalid argument passed to libpqxx, similar to std::invalid_argument. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::argument_error:

## Public Member Functions

| argument_error (const std::string &)
Public Member Functions inherited from pqxx::pqxx_exception
virtual | ~pqxx_exception ()=0 throw ()
| Support run-time polymorphism, and keep this class abstract.
virtual const std::exception & | base () const =0 throw ()
| Return std::exception base-class object.

## Detailed Description

Invalid argument passed to libpqxx, similar to std::invalid_argument.

## Constructor & Destructor Documentation

pqxx::argument_error::argument_error | ( | const std::string & | whatarg | ) |

explicit

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx